# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
# END SourceDeps(oneline)
Name:             pykka
Version:          1.1.0
Release:          alt1_1
Summary:          Python library that provides concurrency using actor model
Group:            Development/C
License:          ASL 2.0
URL:              http://www.pykka.org/
Source0:          https://github.com/jodal/pykka/tarball/v%{version}/pykka-%{version}.tar.gz
BuildRequires:    python-devel python-module-gevent python-module-sphinx
BuildArch:        noarch
Source44: import.info

%description
The goal of Pykka is to provide easy to use concurrency abstractions for Python
by using the actor model.

Pykka provides an actor API with two different implementations:

 * ThreadingActor is built on the Python Standard Librarya.'s threading and Queue
   modules, and has no dependencies outside Python itself. It plays well
   together with non-actor threads.
 * GeventActor is built on the gevent library. gevent is a coroutine-based
   Python networking library that uses greenlet to provide a high-level
   synchronous API on top of libevent event loop. It is generally faster, but
   doesna.'t like playing with other threads.

Much of the naming in Pykka is inspired by the Akka project which implements
actors on the JVM. Though, Pykka does not aim to be a Python port of Akka.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch
Requires:       devhelp

%description docs
This package provides the documentation for %{name}, e.g. the API as
devhelp docs, and examples.


%prep
%setup -q -c
DIR=`ls -d jodal-pykka-*`
mv $DIR/* ./
mv $DIR/.[a-zA-Z0-9]* ./
rmdir $DIR

%build
%{__python} setup.py build
cd docs
make man devhelp

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -a docs/_build/man/* $RPM_BUILD_ROOT%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_datarootdir}/devhelp/Pykka
cp -rp docs/_build/devhelp $RPM_BUILD_ROOT%{_datarootdir}/devhelp/Pykka


%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/Pykka*
%{python_sitelibdir_noarch}/pykka
%{_mandir}/man1/*

%files docs
%doc examples/
%{_datarootdir}/devhelp/Pykka


%changelog
* Fri Apr 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt2_4
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt2_3
- rebuild to get rid of unmets

* Fri Jan 18 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_3
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_2
- initial fc import

